package de.juplo.facebook.errors;


import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;




/**
 * 190: Bad signature (access token expired!).
 * As of Octobre 2019 the {@link https://developers.facebook.com/docs/graph-api/using-graph-api/error-handling/ Documentation }
 * says "Access token has expired. Get a new access token." for code 190.
 * @author Kai Moritz
 */
public class AccessTokenExpiredException extends OAuthException
{
  protected AccessTokenExpiredException(
      HttpStatus status,
      HttpHeaders headers,
      FacebookErrorMessage error
      )
  {
    super(status, headers, error);
  }
}
