package de.juplo.facebook.errors;


import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;




/**
 * 10: Authorization declined / not granted
 * 200-299: Authorization declined / not granted (multiple values, according to authorization)
 * @author Kai Moritz
 * @see https://developers.facebook.com/docs/graph-api/using-graph-api/#errors
 */
public class AuthorizationMissingException extends OAuthException
{
  protected AuthorizationMissingException(
      HttpStatus status,
      HttpHeaders headers,
      FacebookErrorMessage error
      )
  {
    super(status, headers, error);
  }
}
